//++=======================================================================
// Program Name:        NetWare Bus Interface
// File Name:           nbintdef.h
// Version:             v0.01
// Author:              KRA (960202)
//
// Abstract:				
//
// Notes:
//
//
// Revision History:
//
//
// (C) Unpublished Copyright of Novell, Inc.  All Rights Reserved.
//
// No part of this file may be duplicated, revised, translated, localized,
// or modified in any manner or compiled, linked or uploaded or downloaded
// to or from any computer system without the prior written consent of
// Novell, Inc.
//======================================================================
#include <pci.h>

#pragma pack(1)

#define MAX_BUS_NAME_LEN 12
#define PCI_BUS_NAME "PCI"
#define ISA_BUS_NAME "ISA"
#define MCA_BUS_NAME "MCA"
#define EISA_BUS_NAME "EISA"
#define PCCARD_BUS_NAME "PCCARD"
#define PCI_NAME_LEN 3
#define ISA_NAME_LEN 3
#define MCA_NAME_LEN 3
#define EISA_NAME_LEN 4
#define PCCARD_NAME_LEN 6

#define MCA_SLOT_START 7

#define MAX_REG_PATH_LEN 512
#define KEY_INFO_LEN 256
#define BUS_TYPE_STR "BusType"
#define BUS_NUMBER_STR "BusNumber"
#define SLOT_STR "SlotNumber"
#define HIN_STR "HIN"
#define ASCII_NBI_NAME "\\NBI"
#define ODI_MODULES_PATH "\\Registry\\Machine\\System\\CurrentControlSet\\Services\\OdiLoad\\ODI_Modules"
#define NBI_LONG_NAME "NetWare Bus Interface"
#define NBI_SHORT_NAME "NBI"


typedef struct BUS_DATA_UNION
{
	union
	{
		CM_EISA_SLOT_INFORMATION eisa;
		CM_MCA_POS_DATA mca;
		PCI_COMMON_CONFIG pci;
	}u;
} BUS_DATA_UNION;

#define MAX_BUS_DATA_LEN sizeof(BUS_DATA_UNION)

#pragma pack()
